import uvicorn
from fastapi import FastAPI
from app.api.routes import todo, health
from app.db.session import create_tables

app = FastAPI(
    title="ToDo Application API",
    description="A simple ToDo Application API built with FastAPI and SQLite",
    version="1.0.0",
)

# Create tables
create_tables()

# Include routers
app.include_router(todo.router, prefix="/api/todos", tags=["todos"])
app.include_router(health.router, tags=["health"])

if __name__ == "__main__":
    uvicorn.run("main:app", host="0.0.0.0", port=8000, reload=True)